CookieAttributeHandler (HttpClient Library (Version 3.1))
Date: 2019-09-02

org.apache.commons.httpclient.cookie

## Interface CookieAttributeHandler

-     public interface CookieAttributeHandler

  Ths interface represents a cookie attribute handler responsible for parsing, validating, and matching a specific cookie attribute, such as path, domain, port, etc. Different cookie specifications can provide a specific implementation for this class based on their cookie handling rules.
  Since:
    3.1
  Author:
    jain.samit@gmail.com (Samit Jain)

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `match(Cookie cookie, CookieOrigin origin)` Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.
    `void` | `parse(Cookie cookie, java.lang.String value)` Parse the given cookie attribute value and update the corresponding `Cookie` property.
    `void` | `validate(Cookie cookie, CookieOrigin origin)` Peforms cookie validation for the given attribute value.

- - ### Method Detail

    - #### parse

          void parse(Cookie cookie,
                     java.lang.String value)
              throws MalformedCookieException

      Parse the given cookie attribute value and update the corresponding `Cookie` property.
      Parameters:
        `cookie` - `Cookie` to be updated
        `value` - cookie attribute value from the cookie response header
      Throws:
        `MalformedCookieException`

    - #### validate

          void validate(Cookie cookie,
                        CookieOrigin origin)
                 throws MalformedCookieException

      Peforms cookie validation for the given attribute value.
      Parameters:
        `cookie` - `Cookie` to validate
        `origin` - the cookie source to validate against
      Throws:
        `MalformedCookieException` - if cookie validation fails for this attribute

    - #### match

          boolean match(Cookie cookie,
                        CookieOrigin origin)

      Matches the given value (property of the destination host where request is being submitted) with the corresponding cookie attribute.
      Parameters:
        `cookie` - `Cookie` to match
        `origin` - the cookie source to match against
      Returns:
        `true` if the match is successful; `false` otherwise

Copyright (c) 1999-2005 - Apache Software Foundation